aboutsummaryrefslogtreecommitdiffstats
path: root/tools/search_arxiv.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-07-05 19:49:26 +0800
committerGitHub <noreply@github.com>2024-07-05 19:49:26 +0800
commit74789b5a72cd8e3261f196f4e7197ddba92947d0 (patch)
treed9029079d8368e4a35a8556aeea50ba40c9939e3 /tools/search_arxiv.sh
parentc7e027c6c3176a7684f4e901b8ddb9a0916c5cd8 (diff)
downloadllm-functions-docker-74789b5a72cd8e3261f196f4e7197ddba92947d0.tar.gz
feat: add search tools (#58)
Diffstat (limited to 'tools/search_arxiv.sh')
-rwxr-xr-xtools/search_arxiv.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/search_arxiv.sh b/tools/search_arxiv.sh
new file mode 100755
index 0000000..7372c4d
--- /dev/null
+++ b/tools/search_arxiv.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Search arXiv for a query and return the top papers.
+
+# @env ARXIV_MAX_RESULTS=5 The max results to return.
+# @option --query! The query to search for.
+
+main() {
+ encoded_query="$(jq -nr --arg q "$argc_query" '$q|@uri')"
+ url="http://export.arxiv.org/api/query?search_query=all:$encoded_query&max_results=$ARXIV_MAX_RESULTS"
+ curl -fsSL "$url"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"